# Nextcloud setup
https://help.nextcloud.com/t/howto-ubuntu-docker-nextcloud-talk-collabora/76430
Follow the guide above as close as possible and deviate where traefik is being used etc.

There is also somewhere a step to set up an alias for `occ` that can be used outside the container to directly execute occ cli commands inside the container. (Should be in the guide above)

#Nextcloud self check fixes
Set default_phone_region like this:
occ config:syste:set default_phone_region --value="DE"

# Collabora loolwsd setup
Check if you have to alter this line in the _collabora/loolwsd.xml_ file:

`<host desc="Regex pattern of hostname to allow or deny." allow="true">nextcloud\\.sporada\\.eu</host>`

# Server Security and tuning
Look at the documentation for server security and server tuning: https://docs.nextcloud.com/server/21/admin_manual/installation/index.html#
Do as much as is possible with the docker setup. The PHP stuff for example is not needed.
- Do defnitly the database cache things.
- Lower logging level
- Change size of the php cache etc. (This should be part of the config file mounted into the container)


# Photo Preview Generation:
- Photo viewer tweaks: https://rayagainstthemachine.net/linux%20administration/nextcloud-photos/
- Use these values to svae space on prieview files and speed nextcloud up. https://ownyourbits.com/2019/06/29/understanding-and-improving-nextcloud-previews/
```sh
occ config:app:set previewgenerator squareSizes --value="32 256"
occ config:app:set previewgenerator widthSizes  --value="256 384"
occ config:app:set previewgenerator heightSizes --value="256"
occ config:system:set preview_max_x --value 2048
occ config:system:set preview_max_y --value 2048
occ config:system:set jpeg_quality --value 60
occ config:app:set preview jpeg_quality --value="60"
```
- I created a cron Job outside the container using the `occ` client command to trigger photo pre generation every day.
- Maybe this can be added to the cron nextcloud container?